<?php
class ControllerModuleTwitterPics extends Controller  {
	// Module Unifier
	private $moduleName = 'TwitterPics';
	private $moduleNameSmall = 'twitterpics';
	private $moduleData_module = 'twitterpics_module';
	private $moduleModel = 'model_module_twitterpics';
	// Module Unifier

    public function index($config) {
        $this->load->model('module/'.$this->moduleNameSmall);
        $this->load->language('module/'.$this->moduleNameSmall);
        $this->document->addStyle('catalog/view/theme/'.$this->config->get('config_template').'/stylesheet/'.$this->moduleNameSmall.'.css');
		$this->document->addScript('catalog/view/javascript/'.$this->moduleNameSmall.'.js');
		
		
		$this->data["moduleModel"] = $this->moduleModel;
		//$this->data["imageWidth"] = $this->{$this->moduleModel}->getWidth();
		//$this->data["imageHeight"] = $this->{$this->moduleModel}->getHeight();
		
        $languageVariables= array(
			// Basic strings
            'heading_title',
			// Module depending strings
            'add_to_cart'
       	);

        foreach ($languageVariables as $variable) {
            $this->data[$variable] = $this->language->get($variable);
        }
		
		$setting = $this->{$this->moduleModel}->getSetting($this->moduleName, $this->config->get('config_store_id'));
        $this->data['data'] = $setting[$this->moduleName];
		
		$this->data['count'] = $config['pictures'];
		$this->data['hashtag'] = $config['hashtag'];
		
		if(!isset($this->data['data']['PanelName'][$this->config->get('config_language')])){
			$this->data['data']['PanelName'] = $this->data['heading_title'];
		} else {
			$this->data['data']['PanelName'] = $this->data['data']['PanelName'][$this->config->get('config_language')];
		}
		
        $this->template = $this->config->get('config_template').'/template/module/'.$this->moduleNameSmall.'.tpl';  
        $this->response->setOutput($this->render());     
    }
    
	public function tweets(){
		$count = !empty($this->request->get['count']) ? (int)$this->request->get['count'] : 3;
		$hashtag = !empty($this->request->get['hashtag']) ? $this->request->get['hashtag'] : "Batman";
		$this->load->library('twitterpics/twitteroauth');
		$this->load->model('module/'.$this->moduleNameSmall);
		$result = $this->{$this->moduleModel}->getTweets($hashtag);
		$result = array_slice($result,0,$count);
		echo json_encode($result);
	}
	
    public function getCatalogURL($store_id){
        if(isset($store_id) && $store_id){
            $storeURL = $this->db->query('SELECT url FROM `'.DB_PREFIX.'store` WHERE store_id=' . $store_id)->row['url'];
        }elseif (isset($_SERVER['HTTPS']) && (($_SERVER['HTTPS'] == 'on') || ($_SERVER['HTTPS'] == '1'))) {
            $storeURL = HTTPS_SERVER;
        } else {
            $storeURL = HTTP_SERVER;
        } 
        return $storeURL;
    }
}
?>